Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.core.servlet
Class TerminationServletContextListener

    java.lang.Object
      kieker.monitoring.core.servlet.TerminationServletContextListener

All Implemented Interfaces:
  EventListener, javax.servlet.ServletContextListener

    public class TerminationServletContextListener

extends Object
implements javax.servlet.ServletContextListener

Use this listener in webapps where ShutdownHook is not called.

Since:
  1.3
Author:
  Dennis Kieselhorst

Constructor Summary
`TerminationServletContextListener()` Creates a new instance of this class using the singleton instance of the `MonitoringController` as a controller.
`TerminationServletContextListener(IStateController ctrl)` Create a new instance utilizing an external state controller.

Method Summary
`void` | `contextDestroyed(javax.servlet.ServletContextEvent evt)`
`void` | `contextInitialized(javax.servlet.ServletContextEvent evt)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TerminationServletContextListener

    public TerminationServletContextListener()

  Creates a new instance of this class using the singleton instance of the `MonitoringController` as a controller.

### TerminationServletContextListener

    public TerminationServletContextListener(IStateController ctrl)

  Create a new instance utilizing an external state controller.

  Parameters:
    `ctrl` - state controller

Method Detail

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent evt)

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent evt)

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net